/// <reference types="react" />
import type { ResponsiveProps } from "../../components/ItemsTable/utils";
export declare const TableRow: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    skeleton?: boolean | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLTableRowElement>, HTMLTableRowElement>, {}>;
export declare const Cell: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & ResponsiveProps, import("react").DetailedHTMLProps<import("react").TdHTMLAttributes<HTMLTableDataCellElement>, HTMLTableDataCellElement>, {}>;
export declare const NameColumn: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & ResponsiveProps & import("react").ClassAttributes<HTMLTableColElement> & import("react").ColHTMLAttributes<HTMLTableColElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const CollectionTableCell: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & ResponsiveProps & import("react").ClassAttributes<HTMLTableDataCellElement> & import("react").TdHTMLAttributes<HTMLTableDataCellElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const CollectionLink: import("@emotion/styled").StyledComponent<import("../../core/components/Link").LinkProps & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
